org.freedesktop.Flatpak.SystemHelper: Flatpak Library Reference Manual

## org.freedesktop.Flatpak.SystemHelper org.freedesktop.Flatpak.SystemHelper — Flatpak system service |

## Methods

    Deploy             (IN  ay repo_path,
                        IN  u  flags,
                        IN  s  ref,
                        IN  s  origin,
                        IN  as subpaths,
                        IN  as previous_ids,
                        IN  s  installation);
    DeployAppstream    (IN  ay repo_path,
                        IN  u  flags,
                        IN  s  origin,
                        IN  s  arch,
                        IN  s  installation);
    Uninstall          (IN  u  flags,
                        IN  s  ref,
                        IN  s  installation);
    InstallBundle      (IN  ay bundle_path,
                        IN  u  flags,
                        IN  s  remote,
                        IN  s  installation,
                        OUT s  ref);
    ConfigureRemote    (IN  u  flags,
                        IN  s  remote,
                        IN  s  config,
                        IN  ay gpg_key,
                        IN  s  installation);
    Configure          (IN  u  flags,
                        IN  s  key,
                        IN  s  value,
                        IN  s  installation);
    UpdateRemote       (IN  u  flags,
                        IN  s  remote,
                        IN  s  installation,
                        IN  ay summary_path,
                        IN  ay summary_sig_path);
    RemoveLocalRef     (IN  u  flags,
                        IN  s  remote,
                        IN  s  ref,
                        IN  s  installation);
    PruneLocalRepo     (IN  u  flags,
                        IN  s  installation);
    RunTriggers        (IN  u  flags,
                        IN  s  installation);
    EnsureRepo         (IN  u  flags,
                        IN  s  installation);
    UpdateSummary      (IN  u  flags,
                        IN  s  installation);
    GenerateOciSummary (IN  u  flags,
                        IN  s  origin,
                        IN  s  installation);
    CancelPull         (IN  u  flags,
                        IN  s  installation,
                        IN  s  src_dir);
    GetRevokefsFd      (IN  u  flags,
                        IN  s  installation,
                        OUT h  fd_index,
                        OUT s  src_dir);

## Properties

    version  readable   u

## Description

The Flatpak system service is used by the libflatpak library to manipulate Flatpak applications and runtimes that are installed system-wide, for example when implementing flatpak install. It is not intended to be contacted by third-party applications or libraries. See the Flatpak source code for more details of this interface's methods.

This interface is provided on the D-Bus system bus by the well-known D-Bus name org.freedesktop.Flatpak.SystemHelper, at the object path /org/freedesktop/Flatpak/SystemHelper.

The system helper runs as a privileged user at the system level, and receives method calls from less-privileged users. Authorization for method calls on this interface is mediated by polkit (formerly PolicyKit) using the policy configuration org.freedesktop.Flatpak.policy, and can be configured by system administrators in the same way as for any other system service that uses polkit.

## Method Details

### The Deploy() method

    Deploy (IN  ay repo_path,
            IN  u  flags,
            IN  s  ref,
            IN  s  origin,
            IN  as subpaths,
            IN  as previous_ids,
            IN  s  installation);

`IN ay `repo_path``: |
`IN u `flags``: |
`IN s `ref``: |
`IN s `origin``: |
`IN as `subpaths``: |
`IN as `previous_ids``: |
`IN s `installation``: |

### The DeployAppstream() method

    DeployAppstream (IN  ay repo_path,
                     IN  u  flags,
                     IN  s  origin,
                     IN  s  arch,
                     IN  s  installation);

`IN ay `repo_path``: |
`IN u `flags``: |
`IN s `origin``: |
`IN s `arch``: |
`IN s `installation``: |

### The Uninstall() method

    Uninstall (IN  u flags,
               IN  s ref,
               IN  s installation);

`IN u `flags``: |
`IN s `ref``: |
`IN s `installation``: |

### The InstallBundle() method

    InstallBundle (IN  ay bundle_path,
                   IN  u  flags,
                   IN  s  remote,
                   IN  s  installation,
                   OUT s  ref);

`IN ay `bundle_path``: |
`IN u `flags``: |
`IN s `remote``: |
`IN s `installation``: |
`OUT s `ref``: |

### The ConfigureRemote() method

    ConfigureRemote (IN  u  flags,
                     IN  s  remote,
                     IN  s  config,
                     IN  ay gpg_key,
                     IN  s  installation);

`IN u `flags``: |
`IN s `remote``: |
`IN s `config``: |
`IN ay `gpg_key``: |
`IN s `installation``: |

### The Configure() method

    Configure (IN  u flags,
               IN  s key,
               IN  s value,
               IN  s installation);

`IN u `flags``: |
`IN s `key``: |
`IN s `value``: |
`IN s `installation``: |

### The UpdateRemote() method

    UpdateRemote (IN  u  flags,
                  IN  s  remote,
                  IN  s  installation,
                  IN  ay summary_path,
                  IN  ay summary_sig_path);

`IN u `flags``: |
`IN s `remote``: |
`IN s `installation``: |
`IN ay `summary_path``: |
`IN ay `summary_sig_path``: |

### The RemoveLocalRef() method

    RemoveLocalRef (IN  u flags,
                    IN  s remote,
                    IN  s ref,
                    IN  s installation);

`IN u `flags``: |
`IN s `remote``: |
`IN s `ref``: |
`IN s `installation``: |

### The PruneLocalRepo() method

    PruneLocalRepo (IN  u flags,
                    IN  s installation);

`IN u `flags``: |
`IN s `installation``: |

### The RunTriggers() method

    RunTriggers (IN  u flags,
                 IN  s installation);

`IN u `flags``: |
`IN s `installation``: |

### The EnsureRepo() method

    EnsureRepo (IN  u flags,
                IN  s installation);

`IN u `flags``: |
`IN s `installation``: |

### The UpdateSummary() method

    UpdateSummary (IN  u flags,
                   IN  s installation);

`IN u `flags``: |
`IN s `installation``: |

### The GenerateOciSummary() method

    GenerateOciSummary (IN  u flags,
                        IN  s origin,
                        IN  s installation);

`IN u `flags``: |
`IN s `origin``: |
`IN s `installation``: |

### The CancelPull() method

    CancelPull (IN  u flags,
                IN  s installation,
                IN  s src_dir);

`IN u `flags``: |
`IN s `installation``: |
`IN s `src_dir``: |

### The GetRevokefsFd() method

    GetRevokefsFd (IN  u flags,
                   IN  s installation,
                   OUT h fd_index,
                   OUT s src_dir);

`IN u `flags``: |
`IN s `installation``: |
`OUT h `fd_index``: |
`OUT s `src_dir``: |

## Property Details

### The "version" property

    version  readable   u